Do you have a firefox problem compatibility ?